Bug 1086084 - RFE :[virtio-win][qemu-ga] vss support on winxp&2k3 -{"execute":"guest-fsfreeze-freeze"} was executed unsuccessfully on win2k3-64 guest.
Summary: RFE :[virtio-win][qemu-ga] vss support on winxp&2k3 -{"execute":"guest-fsfree...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Ronen Hod
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1073208
TreeView+ depends on / blocked
 
Reported: 2014-04-10 05:19 UTC by Min Deng
Modified: 2014-12-15 00:54 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The virsh utility does not support system file-consistent snapshots for Windows XP and Windows 2003 virtual guest machines. As a consequence, running the snapshot-create-as --quiesce --disk-only command fails. To work around this problem, do not use the --quiesce option. Please note that the snapshots will not be consistent with the guest file system.
Clone Of:
Environment:
Last Closed: 2014-04-13 14:49:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Min Deng 2014-04-10 05:19:26 UTC
Description of problem:
{"execute":"guest-fsfreeze-freeze"} was executed unsuccessfully on win2k3-64 guest.

Version-Release number of selected component (if applicable):
qemu-ga-7.0-8
virtio-win-1.7.0-1
qemu-kvm-1.5.3-60.el7.x86_64
kernel-3.10.0-118.el7.x86_64

How reproducible:
4/4

Steps to Reproduce:
1.boot up win2k3-64 guest
  /usr/libexec/qemu-kvm -M pc -m 2G -smp 2 -cpu Nehalem -usb -device usb-tablet -drive file=en_win_srv_2003_r2_enterprise_x64_with_sp2_cd1_X13-06188.iso,format=raw,if=none,media=cdrom,id=drive-ide0-0-1,werror=stop,rerror=stop,cache=none -device ide-drive,drive=drive-ide0-0-1,id=ide0-0-1,bus=ide.0,unit=1,bootindex=1 -drive file=win2k3-64-new.raw,format=raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet0,id=net0 -uuid 4870b5fd-65d1-488a-9333-3c4e095285b0 -rtc-td-hack -no-kvm-pit-reinjection -chardev socket,id=a111,path=/tmp/monitor-win2012-serial,server,nowait -mon chardev=a111,mode=readline -vnc :3 -vga cirrus -monitor stdio -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtio-serial -device virtserialport,chardev=qga0,name=org.qemu.guest_agent.0 -cdrom /usr/share/virtio-win/virtio-win.iso
2.nc -U /tmp/qga.sock on host
3. {"execute":"guest-fsfreeze-freeze"}

Actual results:
The command could be executed successfully

Expected results:
Return error message
{"execute":"guest-fsfreeze-freeze"}
{"error": {"desc": "failed to set backup context:  (error: 8004231b)"}}

Additional info:


Note You need to log in before you can comment on or make changes to this bug.